clc;
clear;
close all;

load Data_Accidental;

y=Data;
n=numel(y);
XTick=1:12:n;

t=1:n;

tt=[ones(size(t))
    t
    t.^2];

beta=y'*pinv(tt);

T=(beta*tt)';

x=y-T;

figure;

subplot(2,1,1);
plot(y);
hold on;
plot(T,'LineWidth',2);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t, T_t');
legend('y_t','T_t');

subplot(2,1,2);
plot(x);
h=gca;
h.XLim=[0 n];
h.XTick=XTick;
h.XTickLabel=datestr(dates(h.XTick),'yyyy');
grid on;
xlabel('t')
ylabel('y_t - T_t');
